cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/private/get_broker_trades \
--header 'Content-Type: application/json' \
--data '
{
"id": 1,
"jsonrpc": "2.0",
"method": "private/get_broker_trades",
"params": {
"count": 1,
"currency": "BTC"
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/private/get_broker_trades"
payload = {
"id": 1,
"jsonrpc": "2.0",
"method": "private/get_broker_trades",
"params": {
"count": 1,
"currency": "BTC"
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 1,
jsonrpc: '2.0',
method: 'private/get_broker_trades',
params: {count: 1, currency: 'BTC'}
})
};
fetch('https://drb.coinbase.com/api/v2/private/get_broker_trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"jsonrpc": "2.0",
"result": {
"history": [
{
"id": "BLOCK-7",
"maker": {
"client_id": 2,
"client_link_id": 2,
"client_link_name": "Test Client 2 l",
"client_name": "Test Client 2",
"user_id": "****009"
},
"taker": {
"client_id": 1,
"client_link_id": 1,
"client_link_name": "Test Client 1 l",
"client_name": "Test Client 1",
"user_id": "****008"
},
"timestamp": 1747239767111,
"trades": [
{
"amount": 100000,
"block_trade_id": "BLOCK-7",
"block_trade_leg_count": 1,
"contracts": 10000,
"direction": "buy",
"index_price": 102079.75,
"instrument_name": "BTC-PERPETUAL",
"mark_price": 102079.75,
"price": 102079.75,
"tick_direction": 1,
"timestamp": 1747239767111,
"trade_id": "7",
"trade_seq": 7
}
]
}
],
"next_start_id": 6
}
}Block Trade
private/get_broker_trades
Broker Method Returns list of broker block trades. If currency is not provided, returns broker block trades for all currencies.
Scope: rat#view or wallet:transactions:read
GET
/
private
/
get_broker_trades
cURL
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
Available options:
BTC, ETH, USDC, USDT, EURR Number of requested items, default - 20, maximum - 1000
Required range:
1 <= x <= 1000Response will contain block trades older than the one provided in this field Block trade id
Example:
"154"
The id of the oldest block trade to be returned, start_id is required with end_id
Block trade id
Example:
"154"
Was this page helpful?
⌘I